Results 1 to 5 of 5

Thread: question about PHP version 4.3.8

  1. #1
    Join Date
    Nov 2004
    Posts
    7

    Default question about PHP version 4.3.8

    Hello this is steve. Thank you ever so much in advance for this free mailer script. People like you are wonderful indeed! I plan on using your script on my website after if I can get it to work in the new version of PHP that they are running on my website.
    I have a website at a server that uses php version 4.1.2. Your website php mail sending script works great there (I recieve the email). However, I have been notified that the php script on my server is going to update to vesion 4.3.8. I have access to the new server, which is not live yet. I have uploaded to this new server your php mail sending script to see if the php mail sending code will still work with this new version php script on the server. It does not. (It will not send email)

    The question is; is there anybody on this forum who knows about this problem with the new version php scripts (updates and incompatabilities?), like the script on my new server version 4.3.8? Ahead is a brief statement from the people who run my server that expalins possible problems with older php scripts, please take a look....:
    All servers are now running PHP 4.3.8. There have been many changes made between the version we are currently running, 4.1.2 and the version we will be running. It is very important that you make sure any changes that need to be made in your code are made. Many old PHP scripts will not work with the new version of PHP. Many variables have changed the way they work. You can refer to the documentation on http://www.php.net for changes.

    Any help will be appreciated and I can even pay to have this script updated so it will work with version 4.3.8. thanks in advance, steve at www.advancedccc.com , djgotee@hotmail.com. 352-625-4714 Ocala, florida
    Thanks so much....

  2. #2
    Join Date
    Nov 2004
    Posts
    7

    Default Re: question about PHP version 4.3.8

    I did a little reading on the forum found:

    If testmail.php doesn't work but testmail2.php does work, you'll need to specify the following hidden field in your forms:
    <input type="hidden" name="mail_options" value="SendMailFOption" />

    (You need FormMail version 2.12 or later to use the SendMailFOption feature.)

    This happened to be my problem. testmail2.php works! I get the email. Im sorry for being so stupid as not to read this forum first... And I have little or next to no experience with php code and configuration, so I expect to write other stupid questions in the future.(but will try not to).
    Thanks again for the very nice free program and the free forum for questions.

  3. #3
    Join Date
    Dec 2003
    Posts
    3,980

    Default Re: question about PHP version 4.3.8

    Hi,

    FormMail works fine on all supported version of PHP.

    The problem will be in the configuration of the new version they've installed or the fact that they've upgraded other things too.

    You've found that you now need to provide the SendMailFOption. That's an example of how things have changed on your server.

    Let me know if you need assistance with anything else.
    Russell Robinson - Author of Tectite FormMail and FormMailDecoder
    http://www.tectite.com/

  4. #4
    Join Date
    Nov 2004
    Posts
    7

    Default Re: question about PHP version 4.3.8

    Sorry for not responding faster, I got caught up in my website update. Thanks "russellr" for the fast responce and your great answeres for this forum's questions. I still in a delarium about this free program and forum. Its not often you get this type service. I have the formmail.php working up on my site (www.advancedccc.com). And I am reading a lot of the forums posts concerning how I am about to configure this php file. Thanks a lot and Ill post more in the near future. PS.......I also have a link to your site (tectite.com) on my index (home) webpage, is this sufficient?

  5. #5
    Join Date
    Dec 2003
    Posts
    3,980

    Default Re: question about PHP version 4.3.8

    Hi,


    Thanks...that's much appreciated, and does help us continue.
    Russell Robinson - Author of Tectite FormMail and FormMailDecoder
    http://www.tectite.com/

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Latest version
    By aussieincanada in forum FormMail Subscription Support
    Replies: 16
    Last Post: 06-Aug-2004, 03:39 AM
  2. Image verification - Version 1.05
    By russellr in forum Other software
    Replies: 0
    Last Post: 02-Aug-2004, 05:21 AM
  3. at mangle / e-mail question
    By Ibis in forum FormMail Subscription Support
    Replies: 3
    Last Post: 25-Feb-2004, 02:59 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •